Bug 138047 - Broken focus in Calc after setting cell formula reference
Summary: Broken focus in Calc after setting cell formula reference
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.1.0
Keywords: bibisected, regression
Depends on:
Blocks:
 
Reported: 2020-11-07 07:29 UTC by Kevin Suo
Modified: 2020-11-13 11:03 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
testdoc.ods (9.54 KB, application/vnd.oasis.opendocument.spreadsheet)
2020-11-07 07:29 UTC, Kevin Suo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Suo 2020-11-07 07:29:04 UTC
Created attachment 167072 [details]
testdoc.ods

Steps to Reproduce:

1. Open the attached test ods file.

2. Click on the autofilter dropdown in colum B of Sheet2, select the first entry (i.e., 21) only, OK. Then click the autofilter dropdown again and select ALL, OK.

3. Put cursor in C2, type in =, click Sheet1;

4. Click the formula bar (this step is a workaround of bug 47349).

5. Click B2, ENTER.
--> The problem seems to have started here, see step 7.

7. Now if you click Sheet2, then copy C2 (using Ctrl-C), select range C3:C4 and paste (Ctrl-V), you will notice that the content is only pasted to C3; even worse, if you further select C3 and put cursor in the end of the formula bar then hit Backspace or type in anything, the whole cell content is deleted (rather then the last digit)

More Info:
Bug does not exists when no column/row freeze in Sheet2.
Bug does not exist when you do not do step 2 .

Build id 2020-11-02 00:57:57 +0100 ccad985c5163224d669e9f0fa70fdff070fc58ca
Fedora 32, gtk3.
Comment 1 Kevin Suo 2020-11-07 07:30:43 UTC
The earliest bad buildid I have noticed this isL: 2020-11-02 00:57:57 +0100 ccad985c5163224d669e9f0fa70fdff070fc58ca. However, the real first bad commit may be several days earlier.

I am doing the bibisecting.
Comment 2 Kevin Suo 2020-11-07 07:44:45 UTC
Bibisected to range:
e1a47ddab37e70c400de254251be38e844117cc1..2e412c5354134fe3cd66ea0266011c5b87dc9eb3

Within which the following commit seems very suspicious:

---
author Caolán McNamara <caolanm@redhat.com>	2020-10-05 14:19:05 +0100
committer Caolán McNamara <caolanm@redhat.com>	2020-10-16 12:54:14 +0200
commit	e087e25f05e689091cbf1c4f91b6e93878ac17ec (patch)
weld InputBar
this also restores that DnD of a selection from the inputbar is pasted as plain
text not rich text formatted with the happenstance formatting of the inputbar's
EditEngine
---

Adding Caolán McNamara in CC list: would you please take a look? Thanks.
Comment 3 Commit Notification 2020-11-13 09:09:20 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/85622e6cf676e507dea8845b5637f3a1df327490

tdf#138047 wait until map to disable the parent SalFrame tab-cycling

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Caolán McNamara 2020-11-13 09:57:47 UTC
I think this should be 7-1 only so no backport required
Comment 5 Kevin Suo 2020-11-13 10:16:24 UTC
(In reply to Caolán McNamara from comment #4)
> I think this should be 7-1 only so no backport required

As far as I know, yes.

Thanks for the fix.
Comment 6 Kevin Suo 2020-11-13 11:03:37 UTC
During the test of this bug, I found Bug 138183.